Release: 2.0.4.6 (canary) 2018-12-11


#4

Same issue here on official Docker container - even after I remembered to change my Update Channel from beta to canary. :blush:

But I’m assuming it’s a caching issue - gonna restart the container & see what happens… No change. I’ll try again in a few hours. :slight_smile:

I assume it’s still there even in a fresh incognito / private window?


#5

Can you check the server log and see if you’re seeing the same signature error that I get?


#6

Good thought - and yep!

System.IO.InvalidDataException: Unable to verify signature
 at Duplicati.Library.AutoUpdater.SignatureReadingStream..ctor (System.IO.Stream stream, System.Security.Cryptography.RSACryptoServiceProvider key) [0x00019] in <3227b98b904042faac2116282e7fbdfd>:0
 at (wrapper remoting-invoke-with-check) Duplicati.Library.AutoUpdater.SignatureReadingStream..ctor(System.IO.Stream,System.Security.Cryptography.RSACryptoServiceProvider)
 at Duplicati.Library.AutoUpdater.UpdaterManager.CheckForUpdate (Duplicati.Library.AutoUpdater.ReleaseType channel) [0x00101] in <3227b98b904042faac2116282e7fbdfd>:0

It looks like I also get some of these:

System.Net.WebException: Error: NameResolutionFailure at System.Net.WebClient.DownloadFile (System.Uri address, System.String fileName) [0x000ad] in <1a0168907d2042858c12ff7b2c118a26>:0
 at System.Net.WebClient.DownloadFile (System.String address, System.String fileName) [0x00016] in <1a0168907d2042858c12ff7b2c118a26>:0
 at (wrapper remoting-invoke-with-check) System.Net.WebClient.DownloadFile(string,string) at Duplicati.Library.AutoUpdater.UpdaterManager.CheckForUpdate (Duplicati.Library.AutoUpdater.ReleaseType channel) [0x000ee] in <3227b98b904042faac2116282e7fbdfd>:0

#7

The screenshot is what I see in Microsoft Edge. I upgraded from 2.0.4.4 to 2.0.4.6 by overwriting with the contents of the Zip file on 2 systems. Both installs have the same problem in Edge, see screenshot above.

In IE, Duplicati Web UI doesn’t load at all, it only shows this popup on both upgraded systems:
image


#8

I’m not at a machine I can do that sort of test with, but it almost looks like the server starts enough to provide the basic UI but then stops responding when specific requests are made.

Does reloading the page give the same message or 404 / 500 error?


#9

No, whatever I do (start normal/inprivate, F5/Ctrl+F5, restart computer), the symptoms stay exactly the same: malformed log page in Edge, “Not loaded” popup in IE.


#10

+1
Vanilla Windows 10 install, canary channel.


#11

Are you also getting NameResolutionFailure followed by Unable to verify signature errors in the global log?


#12

I haven’t done any sort of manual update - would I be expecting to see any log errors?
I don’t necessarily have time to futz around (at the moment) with forcing a manual update, so I figured I’d wait and be a canary to try out whatever fix they come up with to address the update check issue. If you want me to try anything in particular though (as long as it’s relatively quick) then i’d be happy to.


#13

Thanks!

Can you open the Dev Console and see which errors are displayed there?

In IE, Duplicati Web UI doesn’t load at all, it only shows this popup on both upgraded systems

I’m afraid I may have used some features that are not available in IE. Can you also open the Dev Console and send me the errors?

I’ll also try to reproduce these behaviors myself over this week


#14

Sure, this is what I see in Edge:

4HTML1300: Er heeft navigatie plaatsgevonden.
localhost:8200 (1,1)

SCRIPT1005: SCRIPT1005: Expected '('
BackupLogController.js (34,27)

Error: [ng:areq] http://errors.angularjs.org/1.4.3/ng/areq?p0=BackupLogController&p1=not%20a%20function%2C%20got%20undefined
   at Sb (http://localhost:8200/ngax/scripts/angular/angular.min.js:22:12)
   at Qa (http://localhost:8200/ngax/scripts/angular/angular.min.js:22:105)
   at Anonymous function (http://localhost:8200/ngax/scripts/angular/angular.min.js:79:497)
   at x (http://localhost:8200/ngax/scripts/angular/angular.min.js:59:499)
   at S (http://localhost:8200/ngax/scripts/angular/angular.min.js:60:335)
   at g (http://localhost:8200/ngax/scripts/angular/angular.min.js:54:384)
   at Anonymous function (http://localhost:8200/ngax/scripts/angular/angular.min.js:53:441)
   at link (http://localhost:8200/ngax/scripts/angular/angular-route.min.js:7:408)
   at Y (http://localhost:8200/ngax/scripts/angular/angular.min.js:73:89)
   at S (http://localhost:8200/ngax/scripts/angular/angular.min.js:62:52) <div class="content ng-scope" style="width: 100%" ng-view="">

In IE, I can’t see any errors. When accessing the web page, the login window shows up instantly. Alter entering the password, for about half a second, the page name in the IE tab is Backup and changes back to localhost. After 2-4 seconds I get the The page is not loaded message. Clicking the Reload page button of refreshing the page (F5/Ctrl+F5) doesn’t help.


#15

Not entirely sure why this would happen suddenly.

The build failed half-way through so I restarted the build. It could have uploaded some broken files, but the signature should be valid.

Assuming the network is otherwise working fine, it seems to indicate that the updater URL is broken. I hope this is not a broken beta build …

Could you try running Duplicati.Library.AutoUpdater.exe and see what URLs it reports using?

That does indicate some problems with IE not supporting the JS features. Unfortunately we only have automated testing with FF (which is currently failed for other reasons).


Updating to 2.0.4.5_beta_2018-11-28 - Error: Can't resolve alt.updates.duplicati.com
#16

It seems Edge does not support catch blocks without parentheses (?)

I remember checking Edge support for some of the things I wrote, not all though. I’d guess that fixing the catch block would be the only thing needed.


#17

Yes - I suspect an automatic check-for-updates happens when you connect to the UI (or in my case log in) and that would likely show the same errors.

Is this what you need?

# mono /source/appdata/Duplicati/updates/2.0.4.5/Duplicati.Library.AutoUpdater.exe
Usage:
        mono Duplicati.Library.AutoUpdater.exe [LIST|VERIFY|CHECK|INSTALL|HELP]

Environment variables:

AUTOUPDATER_Duplicati_SKIP_UPDATE - Disables updates completely
AUTOUPDATER_Duplicati_POLICY - Choose how to handle updates, valid settings: CheckBefore, CheckDuring, CheckAfter, InstallBefore, InstallDuring, InstallAfter, Never
AUTOUPDATER_Duplicati_URLS - Use alternate updates urls
AUTOUPDATER_Duplicati_CHANNEL - Choose different channel than the default Beta, valid settings: Stable,Beta,Experimental,Canary,Nightly,Debug

Updates are downloaded from: https://updates.duplicati.com/beta/latest.manifest;https://alt.updates.duplicati.com/beta/latest.manifest
Updates are installed in: /data/Duplicati/updates
The base version is "2.0.4.5_beta_2018-11-28" (2.0.4.5) and is installed in: /source/appdata/Duplicati/updates/2.0.4.5
This version is "2.0.4.5_beta_2018-11-28" (2.0.4.5) and is installed in: /source/appdata/Duplicati/updates/2.0.4.5

#18

I guess I should’ve taken your word for it originally.


#19

That is fine, I have not set up the alt.updates.duplicati.com DNS, so at least that part is not a problem.

Yes, it shows the correct url’s so at least that is good.


Updating to 2.0.4.5_beta_2018-11-28 - Error: Can't resolve alt.updates.duplicati.com
Release: 2.0.4.8 (canary) 2018-12-13
#20

@kees-z and @kenkendk

I’ve fixed the problem with Edge (along with other stuff in backup-log-view, a PR will come soon).

I’ve also done a large refactoring to support old IE


#21

If you happen to update to 2.0.4.8 (Release: 2.0.4.8 (canary) 2018-12-13) please let us know if your IE / Edge issues are resolved. :slight_smile:


#22

Just tested it, everything looks good in both IE and edge!


#23

For the record, my updates are working now. :slight_smile: